/* 
 * This file is automaticaly generated, Please dont edit this file! 
 */
#include <examples/example.console.log.h> 







void main(  ) {
	
	struct user	* newUser		= user_newPointer();

	newUser->id		= 1;

	newUser->username	= "peter";

	newUser->userlevel	= 2134;

	newUser->hash		= "#234234325";



	struct array * addresses = newUser->addresses;


	address * someAddress = address_newPointer();

	someAddress->street = "HiLane";

	someAddress->number	= 1234;

	array_add( addresses,  someAddress );




	address * otherAddress = address_newPointer();

	otherAddress->street = "OtherLane";

	otherAddress->number	= 4567;

	array_add( addresses,  otherAddress );

	


	printf("adresses count: %i\n\n", array_length( addresses ) );


	char * something 	= "this is from an char * ";

	int somethingElse	= 123;


	consoleManager_log( console, 10, (int[10]){ -2,-1,-2,-2,-1,-2,-2,-1,3,-2 },  	"Goedendag", 
					123456, 
					"en een andere text.", 
					something, 
					somethingElse, 
					"something en something", 
					"in native c", 
					23456, 
					newUser, 
					"and some text again" );

}

void abort(  ) {

	
}

